%define upstream_name    BZ-Client
%define upstream_version 4.4002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A client for the Bugzilla web services API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/BZ/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Clone)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::ISO8601)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::CookieJar)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(Text::Password::Pronounceable)
BuildRequires: perl(URI)
BuildRequires: perl(XML::Parser)
BuildRequires: perl(XML::Writer)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provide an interface to access to your (or another) bugzilla.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO eg
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Feb 15 2020 umeabot <umeabot> 4.400.200-2.mga8
+ Revision: 1525461
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 shlomif <shlomif> 4.400.200-1.mga7
+ Revision: 1392577
- update to 4.4002

* Thu Sep 20 2018 umeabot <umeabot> 1.72.0-6.mga7
+ Revision: 1281840
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.72.0-5.mga7
+ Revision: 1163187
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 1.72.0-4.mga7
+ Revision: 1160793
- add BR on perl(HTTP::Cookies)

* Sat Jun 18 2016 pterjan <pterjan> 1.72.0-3.mga6
+ Revision: 1022817
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.72.0-2.mga6
+ Revision: 969970
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.72.0-1.mga6
+ Revision: 884413
- update to 1.072

* Sun Sep 06 2015 sander85 <sander85> 1.70.0-1.mga6
+ Revision: 873415
- update to 1.07

* Sat Jul 04 2015 sander85 <sander85> 1.61.0-1.mga6
+ Revision: 850143
- update to 1.061

* Thu Dec 11 2014 sander85 <sander85> 1.40.0-6.mga5
+ Revision: 802662
- Fix BRs
+ umeabot <umeabot>
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 683597
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 1.40.0-3.mga5
+ Revision: 664875
- Fix build (patch from Fedora)

* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-3.mga4
+ Revision: 509293
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 363359
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 30 2011 kharec <kharec> 1.40.0-1.mga2
+ Revision: 174496
- fix summary, description
  add BR
- imported package perl-BZ-Client


* Wed Nov 30 2011 cpan2dist 1.04-1mga
- initial mageia release, generated with cpan2dist
